Update Custom Entity
curl --request PATCH \
--url https://integration.getmateo.com/api/v1/custom_entity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_entity_definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"data": {},
"custom_entity_definition_key": "<string>"
}
'import requests
url = "https://integration.getmateo.com/api/v1/custom_entity"
payload = {
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_entity_definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"data": {},
"custom_entity_definition_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'random uuid',
created_at: 'now()',
updated_at: 'now()',
organisation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
custom_entity_definition_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
external_id: '<string>',
data: {},
custom_entity_definition_key: '<string>'
})
};
fetch('https://integration.getmateo.com/api/v1/custom_entity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_entity_definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"data": {}
}This response has no body data.Custom Entity
Update Custom Entity
Update an existing custom entity
Update Custom Entity
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Select columns to return
Entity ID
Creation date
Latest update
Organisation ID
Custom entity definition ID
Contact ID
External ID
Entity data matching the custom entity definition schema
Body
application/json
custom_entity
Entity ID
Creation date
Latest update
Organisation ID
Custom entity definition ID
Contact ID
External ID
Entity data matching the custom entity definition schema
Key of the custom entity definition. Alternative to custom_entity_definition_id.
Response
The updated Custom Entity object
Entity ID
Creation date
Latest update
Organisation ID
Custom entity definition ID
Contact ID
External ID
Entity data matching the custom entity definition schema
⌘I